ng-packagr/ng-packagr 软件分析报告

基础信息

项目名称:ng-packagr/ng-packagr

项目徽章:

Security Status

仓库地址:https://github.com/pterodactyl/panel

检测报告地址:https://www.murphysec.com/console/report/1746651110615060480/1746651110652809216

此报告由Murphysec提供

漏洞列表

漏洞名称 漏洞类型 MPS编号 CVE编号 漏洞等级
node-semver 安全漏洞 ReDoS MPS-2022-5166 CVE-2022-25883 高危

缺陷组件

组件名称 版本 最小修复版本 依赖关系 修复建议
semver 6.3.1 7.5.2 间接依赖 可选修复
semver 5.7.2 7.5.2 间接依赖 可选修复

许可证风险

许可证类型 相关组件 许可证风险
ISC 90
MIT 567
Apache-2.0 20
BSD-2-Clause 12
CC-BY-4.0 2
BSD-3-Clause 6
BSD 2
Python-2.0 1
0BSD 1

SBOM清单

组件名称 组件版本 是否直接依赖 仓库
es6-symbol 3.1.3 间接依赖 npm
commander 11.1.0 直接依赖 npm
string_decoder 1.3.0 间接依赖 npm
lodash.isfunction 3.0.9 间接依赖 npm
@rollup/rollup-linux-arm-gnueabihf 4.5.0 直接依赖 npm
@esbuild/win32-ia32 0.19.5 直接依赖 npm
@esbuild/android-arm 0.19.5 直接依赖 npm
@types/json-schema 7.0.11 间接依赖 npm
cli-spinners 2.8.0 间接依赖 npm
strip-bom 3.0.0 间接依赖 npm
wordwrap 1.0.0 间接依赖 npm
@material/touch-target 15.0.0-canary.a246a4439.0 间接依赖 npm
path-exists 4.0.0 间接依赖 npm
is-number 7.0.0 间接依赖 npm
strip-indent 3.0.0 间接依赖 npm
fast-deep-equal 3.1.3 间接依赖 npm
@types/node 18.18.8 间接依赖 npm
readable-stream 2.3.8 间接依赖 npm
electron-to-chromium 1.4.489 间接依赖 npm
commander 4.1.1 间接依赖 npm
conventional-changelog-core 4.2.4 间接依赖 npm
sucrase 3.32.0 间接依赖 npm
cliui 7.0.4 间接依赖 npm
eslint-visitor-keys 3.4.0 间接依赖 npm
is-interactive 1.0.0 间接依赖 npm
electron-to-chromium 1.4.571 间接依赖 npm
detect-indent 6.1.0 间接依赖 npm
@babel/helper-function-name 7.23.0 间接依赖 npm
chokidar 3.5.3 间接依赖 npm
fast-glob 3.2.12 间接依赖 npm
jsonfile 6.1.0 间接依赖 npm
isarray 2.0.5 间接依赖 npm
trim-newlines 3.0.1 间接依赖 npm
is-module 1.0.0 间接依赖 npm
@angular/core 17.1.0-next.3 直接依赖 npm
@rollup/rollup-android-arm-eabi 4.5.0 直接依赖 npm
@angular/compiler 17.1.0-next.3 直接依赖 npm
uglify-js 3.17.4 直接依赖 npm
set-function-name 2.0.1 间接依赖 npm
node-releases 2.0.13 间接依赖 npm
has-tostringtag 1.0.0 间接依赖 npm
cosmiconfig 8.1.3 间接依赖 npm
@material/textfield 15.0.0-canary.a246a4439.0 间接依赖 npm
@types/cacache 17.0.0 直接依赖 npm
@rollup/plugin-node-resolve 15.2.3 直接依赖 npm
split2 3.2.2 间接依赖 npm
@esbuild/darwin-x64 0.19.5 直接依赖 npm
lru-cache 5.1.1 间接依赖 npm
@humanwhocodes/module-importer 1.0.1 间接依赖 npm
@types/chai 4.3.5 直接依赖 npm
@commitlint/cli 18.2.0 直接依赖 npm
lodash.uniq 4.5.0 间接依赖 npm
@babel/parser 7.23.0 间接依赖 npm
y18n 5.0.8 间接依赖 npm
handlebars 4.7.7 间接依赖 npm
string.prototype.trimend 1.0.7 间接依赖 npm
is-text-path 1.0.1 间接依赖 npm
@esbuild/linux-mips64el 0.19.5 直接依赖 npm
@material/focus-ring 15.0.0-canary.a246a4439.0 间接依赖 npm
@commitlint/ensure 18.1.0 间接依赖 npm
internal-slot 1.0.5 间接依赖 npm
locate-path 3.0.0 间接依赖 npm
is-weakref 1.0.2 间接依赖 npm
type 1.2.0 间接依赖 npm
callsites 3.1.0 间接依赖 npm
escalade 3.1.1 间接依赖 npm
jasmine-core 3.99.1 间接依赖 npm
yallist 4.0.0 间接依赖 npm
convert-source-map 1.9.0 间接依赖 npm
dependency-graph 1.0.0 直接依赖 npm
path-key 3.1.1 间接依赖 npm
minizlib 2.1.2 间接依赖 npm
dlv 1.1.3 间接依赖 npm
@esbuild/freebsd-arm64 0.19.5 直接依赖 npm
find-cache-dir 3.3.2 直接依赖 npm
@types/find-cache-dir 3.2.1 直接依赖 npm
dot-prop 5.3.0 间接依赖 npm
@babel/helper-string-parser 7.22.5 间接依赖 npm
update-browserslist-db 1.0.11 间接依赖 npm
readdirp 3.6.0 间接依赖 npm
picocolors 1.0.0 间接依赖 npm
isexe 2.0.0 间接依赖 npm
set-function-length 1.1.1 间接依赖 npm
array-buffer-byte-length 1.0.0 间接依赖 npm
is-plain-obj 1.1.0 间接依赖 npm
prettier 2.8.8 间接依赖 npm
once 1.4.0 间接依赖 npm
resolve-global 1.0.0 间接依赖 npm
import-fresh 3.3.0 间接依赖 npm
caniuse-lite 1.0.30001559 间接依赖 npm
ieee754 1.2.1 间接依赖 npm
@commitlint/config-validator 18.1.0 间接依赖 npm
@typescript-eslint/eslint-plugin 6.18.1 直接依赖 npm
signal-exit 3.0.7 间接依赖 npm
is-date-object 1.0.5 间接依赖 npm
js-yaml 4.1.0 间接依赖 npm
balanced-match 1.0.2 间接依赖 npm
@material/banner 15.0.0-canary.a246a4439.0 间接依赖 npm
esrecurse 4.3.0 间接依赖 npm
@commitlint/rules 18.1.0 间接依赖 npm
redent 3.0.0 间接依赖 npm
has-flag 4.0.0 间接依赖 npm
globals 11.12.0 间接依赖 npm
@material/snackbar 15.0.0-canary.a246a4439.0 间接依赖 npm
is-what 3.14.1 间接依赖 npm
@types/glob 7.2.0 间接依赖 npm
unbox-primitive 1.0.2 间接依赖 npm
@typescript-eslint/parser 6.18.1 直接依赖 npm
cli-color 2.0.3 间接依赖 npm
p-map 4.0.0 间接依赖 npm
run-parallel 1.2.0 间接依赖 npm
color-name 1.1.3 间接依赖 npm
conventional-changelog-jquery 3.0.11 间接依赖 npm
conventional-changelog-jshint 2.0.9 间接依赖 npm
safevalues 0.3.4 间接依赖 npm
json5 2.2.3 间接依赖 npm
@angular/common 17.1.0-next.3 直接依赖 npm
conventional-changelog-express 2.0.6 间接依赖 npm
tar 6.1.13 间接依赖 npm
onetime 5.1.2 间接依赖 npm
lodash.merge 4.6.2 间接依赖 npm
chalk 4.1.2 间接依赖 npm
estree-walker 2.0.2 间接依赖 npm
array-ify 1.0.0 间接依赖 npm
natural-compare 1.4.0 间接依赖 npm
hosted-git-info 2.8.9 间接依赖 npm
eslint-visitor-keys 3.4.1 间接依赖 npm
@babel/core 7.23.2 间接依赖 npm
json-schema-to-typescript 13.0.0 直接依赖 npm
@babel/helper-hoist-variables 7.22.5 间接依赖 npm
ts-api-utils 1.0.3 间接依赖 npm
strip-final-newline 2.0.0 间接依赖 npm
@jridgewell/resolve-uri 3.1.1 间接依赖 npm
@humanwhocodes/object-schema 2.0.1 间接依赖 npm
@material/floating-label 15.0.0-canary.a246a4439.0 间接依赖 npm
uri-js 4.4.1 间接依赖 npm
@material/data-table 15.0.0-canary.a246a4439.0 间接依赖 npm
rimraf 3.0.2 间接依赖 npm
type-fest 0.8.1 间接依赖 npm
nice-napi 1.0.2 直接依赖 npm
buffer-from 1.1.2 间接依赖 npm
tsconfig-paths 3.15.0 间接依赖 npm
has-property-descriptors 1.0.0 间接依赖 npm
@rollup/rollup-linux-x64-gnu 4.5.0 直接依赖 npm
@types/read-pkg-up 3.0.1 直接依赖 npm
lodash.snakecase 4.1.1 间接依赖 npm
@babel/code-frame 7.22.13 间接依赖 npm
gitconfiglocal 1.0.0 间接依赖 npm
@types/prettier 2.7.2 间接依赖 npm
get-pkg-repo 4.2.1 间接依赖 npm
@eslint/js 8.56.0 间接依赖 npm
@esbuild/linux-arm64 0.19.5 直接依赖 npm
quick-lru 4.0.1 间接依赖 npm
has-proto 1.0.1 间接依赖 npm
cssesc 3.0.0 间接依赖 npm
@material/typography 15.0.0-canary.a246a4439.0 间接依赖 npm
eslint 8.56.0 直接依赖 npm
available-typed-arrays 1.0.5 间接依赖 npm
camelcase-keys 6.2.2 间接依赖 npm
@esbuild/sunos-x64 0.19.5 直接依赖 npm
deep-is 0.1.4 间接依赖 npm
@material/menu 15.0.0-canary.a246a4439.0 间接依赖 npm
d 1.0.1 间接依赖 npm
@rollup/rollup-win32-arm64-msvc 4.5.0 直接依赖 npm
assertion-error 1.1.0 间接依赖 npm
es5-ext 0.10.62 间接依赖 npm
mimic-fn 2.1.0 间接依赖 npm
jasmine 3.99.0 直接依赖 npm
parse-node-version 1.0.1 间接依赖 npm
@types/node 20.8.10 直接依赖 npm
postcss-js 4.0.1 间接依赖 npm
glob-promise 4.2.2 间接依赖 npm
fast-levenshtein 2.0.6 间接依赖 npm
@material/theme 15.0.0-canary.a246a4439.0 间接依赖 npm
@material/chips 15.0.0-canary.a246a4439.0 间接依赖 npm
@material/list 15.0.0-canary.a246a4439.0 间接依赖 npm
eslint-plugin-header 3.1.1 直接依赖 npm
acorn 8.9.0 间接依赖 npm
@types/minimatch 5.1.2 间接依赖 npm
ajv 6.12.6 间接依赖 npm
eslint-visitor-keys 3.4.3 间接依赖 npm
concat-map 0.0.1 间接依赖 npm
text-extensions 1.9.0 间接依赖 npm
conventional-commits-parser 5.0.0 间接依赖 npm
minipass 3.3.6 间接依赖 npm
@material/select 15.0.0-canary.a246a4439.0 间接依赖 npm
deep-eql 4.1.3 间接依赖 npm
has-flag 3.0.0 间接依赖 npm
get-caller-file 2.0.5 间接依赖 npm
doctrine 3.0.0 间接依赖 npm
anymatch 3.1.3 间接依赖 npm
minipass 5.0.0 间接依赖 npm
is-arrayish 0.2.1 间接依赖 npm
clone 1.0.4 间接依赖 npm
rxjs 7.8.1 直接依赖 npm
array.prototype.flatmap 1.3.2 间接依赖 npm
prelude-ls 1.2.1 间接依赖 npm
@babel/helper-module-imports 7.22.15 间接依赖 npm
immutable 4.3.0 间接依赖 npm
@angular/cdk 17.1.0-next.0 直接依赖 npm
conventional-changelog-angular 6.0.0 间接依赖 npm
@types/normalize-package-data 2.4.1 间接依赖 npm
thenify-all 1.6.0 间接依赖 npm
ansi-colors 4.1.3 直接依赖 npm
@rollup/rollup-linux-x64-musl 4.5.0 直接依赖 npm
@material/icon-button 15.0.0-canary.a246a4439.0 间接依赖 npm
esbuild 0.19.5 直接依赖 npm
glob 7.1.6 间接依赖 npm
read-pkg-up 3.0.0 间接依赖 npm
decamelize 1.2.0 间接依赖 npm
is-promise 2.2.2 间接依赖 npm
lodash.camelcase 4.3.0 间接依赖 npm
@alloc/quick-lru 5.2.0 间接依赖 npm
cliui 8.0.1 间接依赖 npm
@jridgewell/sourcemap-codec 1.4.14 间接依赖 npm
brace-expansion 1.1.11 间接依赖 npm
flatted 3.2.7 间接依赖 npm
yargs 17.7.2 间接依赖 npm
wcwidth 1.0.1 间接依赖 npm
parse-json 4.0.0 间接依赖 npm
@angular/material 17.1.0-next.0 直接依赖 npm
queue-microtask 1.2.3 间接依赖 npm
piscina 4.2.0 直接依赖 npm
@esbuild/win32-arm64 0.19.5 直接依赖 npm
prr 1.0.1 间接依赖 npm
@types/less 3.0.3 直接依赖 npm
wrappy 1.0.2 间接依赖 npm
camelcase-css 2.0.1 间接依赖 npm
ts-node 10.9.1 直接依赖 npm
node-gyp-build 4.6.0 间接依赖 npm
mime 1.6.0 直接依赖 npm
es-to-primitive 1.2.1 间接依赖 npm
object-assign 4.1.1 间接依赖 npm
v8-compile-cache-lib 3.0.1 间接依赖 npm
fs-minipass 3.0.2 间接依赖 npm
hasown 2.0.0 间接依赖 npm
make-dir 3.1.0 间接依赖 npm
builtin-modules 3.3.0 间接依赖 npm
ext 1.7.0 间接依赖 npm
jasmine-ts 0.4.0 直接依赖 npm
conventional-changelog-angular 5.0.13 间接依赖 npm
json-stable-stringify-without-jsonify 1.0.1 间接依赖 npm
p-limit 2.3.0 间接依赖 npm
is-number-object 1.0.7 间接依赖 npm
@esbuild/linux-loong64 0.19.5 直接依赖 npm
lodash.kebabcase 4.1.1 间接依赖 npm
typescript 5.3.3 直接依赖 npm
object.assign 4.1.4 间接依赖 npm
resolve-from 4.0.0 间接依赖 npm
defaults 1.0.4 间接依赖 npm
conventional-commits-parser 3.2.4 间接依赖 npm
is-extglob 2.1.1 间接依赖 npm
@jridgewell/trace-mapping 0.3.9 间接依赖 npm
pirates 4.0.5 间接依赖 npm
@types/events 3.0.0 间接依赖 npm
@material/progress-indicator 15.0.0-canary.a246a4439.0 间接依赖 npm
convert-source-map 2.0.0 间接依赖 npm
parent-module 1.0.1 间接依赖 npm
@babel/generator 7.23.0 间接依赖 npm
picomatch 2.3.1 间接依赖 npm
git-semver-tags 4.1.1 间接依赖 npm
get-func-name 2.0.2 间接依赖 npm
lru-cache 10.0.1 间接依赖 npm
lodash.upperfirst 4.3.1 间接依赖 npm
require-directory 2.1.1 间接依赖 npm
@tsconfig/node16 1.0.3 间接依赖 npm
next-tick 1.1.0 间接依赖 npm
check-error 1.0.3 间接依赖 npm
read-cache 1.0.0 间接依赖 npm
browserslist 4.22.1 直接依赖 npm
postcss-nested 6.0.1 间接依赖 npm
globals 13.20.0 间接依赖 npm
@material/animation 15.0.0-canary.a246a4439.0 间接依赖 npm
supports-color 7.2.0 间接依赖 npm
@types/minimist 1.2.2 间接依赖 npm
@esbuild/linux-x64 0.19.5 直接依赖 npm
array.prototype.flat 1.3.2 间接依赖 npm
is-string 1.0.7 间接依赖 npm
q 1.5.1 间接依赖 npm
tailwindcss 3.3.2 直接依赖 npm
lines-and-columns 1.2.4 间接依赖 npm
color-convert 1.9.3 间接依赖 npm
regexp.prototype.flags 1.5.1 间接依赖 npm
locate-path 5.0.0 间接依赖 npm
glob-parent 6.0.2 间接依赖 npm
@esbuild/linux-ia32 0.19.5 直接依赖 npm
esbuild-wasm 0.19.5 直接依赖 npm
@jridgewell/resolve-uri 3.1.0 间接依赖 npm
signal-exit 4.0.1 间接依赖 npm
@babel/parser 7.23.4 间接依赖 npm
json-schema-traverse 0.4.1 间接依赖 npm
@babel/helper-split-export-declaration 7.22.6 间接依赖 npm
@commitlint/types 18.1.0 间接依赖 npm
for-each 0.3.3 间接依赖 npm
@material/line-ripple 15.0.0-canary.a246a4439.0 间接依赖 npm
inherits 2.0.4 间接依赖 npm
type-check 0.4.0 间接依赖 npm
execa 5.1.1 间接依赖 npm
@angular/platform-browser 17.1.0-next.3 直接依赖 npm
type-fest 0.6.0 间接依赖 npm
error-ex 1.3.2 间接依赖 npm
sax 1.2.4 间接依赖 npm
object.values 1.1.7 间接依赖 npm
braces 3.0.2 间接依赖 npm
p-limit 3.1.0 间接依赖 npm
type-fest 0.20.2 间接依赖 npm
@types/semver 7.5.4 间接依赖 npm
is-path-inside 3.0.3 间接依赖 npm
sass 1.69.5 直接依赖 npm
@material/segmented-button 15.0.0-canary.a246a4439.0 间接依赖 npm
@rollup/rollup-linux-arm64-gnu 4.5.0 直接依赖 npm
meow 8.1.2 间接依赖 npm
strip-ansi 6.0.1 间接依赖 npm
@material/circular-progress 15.0.0-canary.a246a4439.0 间接依赖 npm
yargs-parser 20.2.9 间接依赖 npm
arrify 1.0.1 间接依赖 npm
caniuse-lite 1.0.30001519 间接依赖 npm
@material/radio 15.0.0-canary.a246a4439.0 间接依赖 npm
@material/tokens 15.0.0-canary.a246a4439.0 间接依赖 npm
concat-stream 2.0.0 间接依赖 npm
@typescript-eslint/types 6.18.1 间接依赖 npm
has 1.0.3 间接依赖 npm
@material/top-app-bar 15.0.0-canary.a246a4439.0 间接依赖 npm
@ungap/structured-clone 1.2.0 间接依赖 npm
reflect-metadata 0.1.13 间接依赖 npm
glob 10.2.2 间接依赖 npm
ajv 8.12.0 直接依赖 npm
@babel/helpers 7.23.4 间接依赖 npm
validate-npm-package-license 3.0.4 间接依赖 npm
@material/drawer 15.0.0-canary.a246a4439.0 间接依赖 npm
kind-of 6.0.3 间接依赖 npm
@material/feature-targeting 15.0.0-canary.a246a4439.0 间接依赖 npm
read-pkg 3.0.0 间接依赖 npm
is-shared-array-buffer 1.0.2 间接依赖 npm
hard-rejection 2.1.0 间接依赖 npm
@typescript-eslint/type-utils 6.18.1 间接依赖 npm
JSONStream 1.3.5 间接依赖 npm
brace-expansion 2.0.1 间接依赖 npm
resolve 1.22.2 间接依赖 npm
@material/fab 15.0.0-canary.a246a4439.0 间接依赖 npm
dateformat 3.0.3 间接依赖 npm
@assemblyscript/loader 0.10.1 间接依赖 npm
@babel/helper-string-parser 7.23.4 间接依赖 npm
globalthis 1.0.3 间接依赖 npm
gensync 1.0.0-beta.2 间接依赖 npm
acorn-jsx 5.3.2 间接依赖 npm
image-size 0.5.5 直接依赖 npm
update-browserslist-db 1.0.13 间接依赖 npm
fs.realpath 1.0.0 间接依赖 npm
pify 2.3.0 间接依赖 npm
minimatch 3.1.2 间接依赖 npm
path-scurry 1.7.0 间接依赖 npm
meow 12.1.1 间接依赖 npm
@esbuild/linux-arm 0.19.5 直接依赖 npm
commondir 1.0.1 间接依赖 npm
mkdirp 1.0.4 间接依赖 npm
conventional-changelog-writer 5.0.1 间接依赖 npm
@jridgewell/gen-mapping 0.3.3 间接依赖 npm
@commitlint/format 18.1.0 间接依赖 npm
object-hash 3.0.0 间接依赖 npm
normalize-path 3.0.0 间接依赖 npm
imurmurhash 0.1.4 间接依赖 npm
graceful-fs 4.2.11 直接依赖 npm
es-abstract 1.22.3 间接依赖 npm
@commitlint/top-level 18.1.0 间接依赖 npm
@typescript-eslint/scope-manager 6.18.1 间接依赖 npm
call-me-maybe 1.0.2 间接依赖 npm
load-json-file 4.0.0 间接依赖 npm
js-tokens 4.0.0 间接依赖 npm
ssri 10.0.4 间接依赖 npm
fsevents 2.3.2 直接依赖 npm
cross-env 7.0.3 直接依赖 npm
strip-json-comments 3.1.1 间接依赖 npm
map-obj 1.0.1 间接依赖 npm
@material/shape 15.0.0-canary.a246a4439.0 间接依赖 npm
function.prototype.name 1.1.6 间接依赖 npm
npm-run-path 4.0.1 间接依赖 npm
hosted-git-info 4.1.0 间接依赖 npm
debug 4.3.4 间接依赖 npm
read-pkg 5.2.0 间接依赖 npm
has-bigints 1.0.2 间接依赖 npm
@material/linear-progress 15.0.0-canary.a246a4439.0 间接依赖 npm
is-typed-array 1.1.12 间接依赖 npm
pako 1.0.11 间接依赖 npm
object-inspect 1.12.3 间接依赖 npm
create-require 1.1.1 间接依赖 npm
conventional-commits-filter 2.0.7 间接依赖 npm
eslint-import-resolver-node 0.3.9 间接依赖 npm
jsonc-parser 3.2.0 直接依赖 npm
type 2.7.2 间接依赖 npm
@material/switch 15.0.0-canary.a246a4439.0 间接依赖 npm
postcss-load-config 4.0.1 间接依赖 npm
map-obj 4.3.0 间接依赖 npm
parse-json 5.2.0 间接依赖 npm
@ampproject/remapping 2.2.1 间接依赖 npm
merge-stream 2.0.0 间接依赖 npm
fill-range 7.0.1 间接依赖 npm
@npmcli/fs 3.1.0 间接依赖 npm
ansi-styles 4.3.0 间接依赖 npm
which 2.0.2 间接依赖 npm
event-emitter 0.3.5 间接依赖 npm
deepmerge 4.3.1 间接依赖 npm
ms 2.1.2 间接依赖 npm
jiti 1.21.0 间接依赖 npm
wrap-ansi 7.0.0 间接依赖 npm
spdx-correct 3.2.0 间接依赖 npm
@material/form-field 15.0.0-canary.a246a4439.0 间接依赖 npm
through2 4.0.2 间接依赖 npm
resolve 1.22.8 间接依赖 npm
standard-version 9.5.0 直接依赖 npm
gopd 1.0.1 间接依赖 npm
iconv-lite 0.6.3 间接依赖 npm
conventional-recommended-bump 6.1.0 间接依赖 npm
side-channel 1.0.4 间接依赖 npm
acorn-walk 8.2.0 间接依赖 npm
detect-newline 3.1.0 间接依赖 npm
emoji-regex 8.0.0 间接依赖 npm
is-builtin-module 3.2.1 间接依赖 npm
string.prototype.trimstart 1.0.7 间接依赖 npm
@babel/helper-validator-option 7.22.15 间接依赖 npm
postcss-import 15.1.0 间接依赖 npm
node-addon-api 3.2.1 间接依赖 npm
base64-js 1.5.1 间接依赖 npm
conventional-changelog-eslint 3.0.9 间接依赖 npm
get-intrinsic 1.2.0 间接依赖 npm
is-text-path 2.0.0 间接依赖 npm
semver 5.7.2 间接依赖 npm
is-array-buffer 3.0.2 间接依赖 npm
minipass-flush 1.0.5 间接依赖 npm
call-bind 1.0.5 间接依赖 npm
lodash.isplainobject 4.0.6 间接依赖 npm
@esbuild/netbsd-x64 0.19.5 直接依赖 npm
find-up 4.1.0 间接依赖 npm
find-up 2.1.0 间接依赖 npm
@angular/compiler-cli 17.1.0-next.3 直接依赖 npm
modify-values 1.0.1 间接依赖 npm
conventional-changelog 3.1.25 间接依赖 npm
@material/menu-surface 15.0.0-canary.a246a4439.0 间接依赖 npm
escape-string-regexp 1.0.5 间接依赖 npm
xtend 4.0.2 间接依赖 npm
path-exists 3.0.0 间接依赖 npm
@nodelib/fs.scandir 2.1.5 间接依赖 npm
dotgitignore 2.1.0 间接依赖 npm
arraybuffer.prototype.slice 1.0.2 间接依赖 npm
@material/elevation 15.0.0-canary.a246a4439.0 间接依赖 npm
debug 3.2.7 间接依赖 npm
lodash.mergewith 4.6.2 间接依赖 npm
@nodelib/fs.stat 2.0.5 间接依赖 npm
copy-anything 2.0.6 间接依赖 npm
is-glob 4.0.3 间接依赖 npm
@babel/code-frame 7.21.4 间接依赖 npm
@babel/highlight 7.23.4 间接依赖 npm
@babel/highlight 7.22.20 间接依赖 npm
chalk 2.4.2 间接依赖 npm
rollup 4.5.0 直接依赖 npm
@rollup/pluginutils 5.0.2 间接依赖 npm
make-error 1.3.6 间接依赖 npm
is-bigint 1.0.4 间接依赖 npm
source-map 0.6.1 直接依赖 npm
is-fullwidth-code-point 3.0.0 间接依赖 npm
to-regex-range 5.0.1 间接依赖 npm
@material/auto-init 15.0.0-canary.a246a4439.0 间接依赖 npm
safe-array-concat 1.0.1 间接依赖 npm
unique-slug 4.0.0 间接依赖 npm
to-fast-properties 2.0.0 间接依赖 npm
@material/notched-outline 15.0.0-canary.a246a4439.0 间接依赖 npm
jackspeak 2.1.1 间接依赖 npm
slash 3.0.0 间接依赖 npm
cross-spawn 7.0.3 间接依赖 npm
merge2 1.4.1 间接依赖 npm
@eslint-community/regexpp 4.10.0 间接依赖 npm
unique-filename 3.0.0 间接依赖 npm
lru-cache 9.1.1 间接依赖 npm
@babel/helper-compilation-targets 7.22.15 间接依赖 npm
minimist-options 4.1.0 间接依赖 npm
parse5 7.1.2 直接依赖 npm
any-promise 1.3.0 间接依赖 npm
string-width 4.2.3 间接依赖 npm
function-bind 1.1.2 间接依赖 npm
git-raw-commits 2.0.11 间接依赖 npm
get-stream 6.0.1 间接依赖 npm
path-parse 1.0.7 间接依赖 npm
lru-cache 6.0.0 间接依赖 npm
@eslint/eslintrc 2.1.4 间接依赖 npm
timers-ext 0.1.7 间接依赖 npm
find-up 3.0.0 间接依赖 npm
@esbuild/darwin-arm64 0.19.5 直接依赖 npm
eslint-plugin-import 2.29.1 直接依赖 npm
@material/card 15.0.0-canary.a246a4439.0 间接依赖 npm
micromatch 4.0.5 间接依赖 npm
is-core-module 2.13.1 间接依赖 npm
@hutson/parse-repository-url 3.0.2 间接依赖 npm
didyoumean 1.2.2 间接依赖 npm
flat-cache 3.0.4 间接依赖 npm
path-type 3.0.0 间接依赖 npm
minimist 1.2.8 间接依赖 npm
yocto-queue 0.1.0 间接依赖 npm
define-properties 1.2.0 间接依赖 npm
minipass 7.0.3 间接依赖 npm
@types/chokidar 1.7.5 直接依赖 npm
@rollup/rollup-android-arm64 4.5.0 直接依赖 npm
dir-glob 3.0.1 间接依赖 npm
ignore 5.2.4 间接依赖 npm
ansi-styles 3.2.1 间接依赖 npm
hdr-histogram-percentiles-obj 3.0.0 间接依赖 npm
@commitlint/to-lines 18.1.0 间接依赖 npm
@material/tab-bar 15.0.0-canary.a246a4439.0 间接依赖 npm
@rollup/rollup-darwin-arm64 4.5.0 直接依赖 npm
undici-types 5.26.5 间接依赖 npm
punycode 2.3.0 间接依赖 npm
pkg-dir 4.2.0 间接依赖 npm
eslint-module-utils 2.8.0 间接依赖 npm
json5 1.0.2 间接依赖 npm
split 1.0.1 间接依赖 npm
@rollup/plugin-json 6.0.1 直接依赖 npm
path-type 4.0.0 间接依赖 npm
@tsconfig/node12 1.0.11 间接依赖 npm
@material/density 15.0.0-canary.a246a4439.0 间接依赖 npm
@material/ripple 15.0.0-canary.a246a4439.0 间接依赖 npm
is-negative-zero 2.0.2 间接依赖 npm
lodash.startcase 4.4.0 间接依赖 npm
@babel/traverse 7.23.4 间接依赖 npm
dargs 7.0.0 间接依赖 npm
stringify-package 1.0.1 间接依赖 npm
@babel/types 7.23.4 间接依赖 npm
add-stream 1.0.0 间接依赖 npm
typedarray 0.0.6 间接依赖 npm
eslint-scope 7.2.2 间接依赖 npm
@esbuild/android-x64 0.19.5 直接依赖 npm
json-schema-traverse 1.0.0 间接依赖 npm
cli-cursor 3.1.0 间接依赖 npm
string.prototype.trim 1.2.8 间接依赖 npm
object-keys 1.1.1 间接依赖 npm
minipass 4.2.8 间接依赖 npm
is-callable 1.2.7 间接依赖 npm
git-remote-origin-url 2.0.0 间接依赖 npm
aggregate-error 3.1.0 间接依赖 npm
lodash.ismatch 4.4.0 间接依赖 npm
foreground-child 3.1.1 间接依赖 npm
@babel/template 7.22.15 间接依赖 npm
object.groupby 1.0.1 间接依赖 npm
supports-preserve-symlinks-flag 1.0.0 间接依赖 npm
@tsconfig/node10 1.0.9 间接依赖 npm
@rollup/rollup-win32-x64-msvc 4.5.0 直接依赖 npm
@types/jasmine 5.1.0 直接依赖 npm
arg 4.1.3 间接依赖 npm
@bcherny/json-schema-ref-parser 10.0.5-fork 间接依赖 npm
espree 9.6.1 间接依赖 npm
@material/layout-grid 15.0.0-canary.a246a4439.0 间接依赖 npm
estraverse 5.3.0 间接依赖 npm
entities 4.5.0 间接依赖 npm
@typescript-eslint/typescript-estree 6.18.1 间接依赖 npm
@jridgewell/trace-mapping 0.3.18 间接依赖 npm
which-boxed-primitive 1.0.2 间接依赖 npm
@commitlint/execute-rule 18.1.0 间接依赖 npm
shebang-command 2.0.0 间接依赖 npm
cacache 18.0.0 直接依赖 npm
cosmiconfig-typescript-loader 5.0.0 间接依赖 npm
less 4.2.0 直接依赖 npm
call-bind 1.0.2 间接依赖 npm
@commitlint/config-angular-type-enum 18.1.0 间接依赖 npm
thenify 3.3.1 间接依赖 npm
minipass-pipeline 1.2.4 间接依赖 npm
jiti 1.18.2 间接依赖 npm
conventional-changelog-preset-loader 2.3.4 间接依赖 npm
indent-string 4.0.0 间接依赖 npm
errno 0.1.8 直接依赖 npm
@esbuild/linux-ppc64 0.19.5 直接依赖 npm
loupe 2.3.7 间接依赖 npm
@material/button 15.0.0-canary.a246a4439.0 间接依赖 npm
@cspotcode/source-map-support 0.8.1 间接依赖 npm
@commitlint/parse 18.1.0 间接依赖 npm
supports-color 5.5.0 间接依赖 npm
ms 2.1.3 间接依赖 npm
locate-path 2.0.0 间接依赖 npm
lru-queue 0.1.0 间接依赖 npm
get-symbol-description 1.0.0 间接依赖 npm
split2 4.2.0 间接依赖 npm
@material/tooltip 15.0.0-canary.a246a4439.0 间接依赖 npm
esquery 1.5.0 间接依赖 npm
@types/resolve 1.20.2 间接依赖 npm
argparse 2.0.1 间接依赖 npm
nanoid 3.3.6 间接依赖 npm
type-fest 0.18.1 间接依赖 npm
@commitlint/read 18.1.0 间接依赖 npm
@typescript-eslint/utils 6.18.1 间接依赖 npm
chai 4.3.10 直接依赖 npm
arg 5.0.2 间接依赖 npm
compare-func 2.0.0 间接依赖 npm
@material/rtl 15.0.0-canary.a246a4439.0 间接依赖 npm
reusify 1.0.4 间接依赖 npm
is-typed-array 1.1.10 间接依赖 npm
decamelize-keys 1.1.1 间接依赖 npm
type-detect 4.0.8 间接依赖 npm
husky 8.0.3 直接依赖 npm
injection-js 2.4.0 直接依赖 npm
through2 2.0.5 间接依赖 npm
universalify 2.0.0 间接依赖 npm
ts-interface-checker 0.1.13 间接依赖 npm
@eslint-community/eslint-utils 4.4.0 间接依赖 npm
es-shim-unscopables 1.0.0 间接依赖 npm
@commitlint/config-angular 18.1.0 直接依赖 npm
@babel/helper-module-transforms 7.23.3 间接依赖 npm
optionator 0.9.3 间接依赖 npm
@types/node 18.16.3 间接依赖 npm
chownr 2.0.0 间接依赖 npm
@jridgewell/sourcemap-codec 1.4.15 间接依赖 npm
is-core-module 2.12.0 间接依赖 npm
es-set-tostringtag 2.0.1 间接依赖 npm
tslib 2.5.0 间接依赖 npm
@esbuild/android-arm64 0.19.5 直接依赖 npm
@babel/code-frame 7.23.4 间接依赖 npm
conventional-changelog-codemirror 2.0.8 间接依赖 npm
function-bind 1.1.1 间接依赖 npm
conventional-changelog-atom 2.0.8 间接依赖 npm
is-regex 1.1.4 间接依赖 npm
@jsdevtools/ono 7.1.3 间接依赖 npm
locate-path 6.0.0 间接依赖 npm
inflight 1.0.6 间接依赖 npm
browserslist 4.21.10 间接依赖 npm
mz 2.7.0 间接依赖 npm
@babel/types 7.22.5 间接依赖 npm
@babel/helper-validator-identifier 7.22.5 间接依赖 npm
json-stringify-safe 5.0.1 间接依赖 npm
@esbuild/linux-s390x 0.19.5 直接依赖 npm
@types/estree 1.0.1 间接依赖 npm
safe-regex-test 1.0.0 间接依赖 npm
@commitlint/resolve-extends 18.1.0 间接依赖 npm
json-parse-even-better-errors 2.3.1 间接依赖 npm
@tsconfig/node14 1.0.3 间接依赖 npm
p-locate 3.0.0 间接依赖 npm
safe-buffer 5.2.1 间接依赖 npm
es6-weak-map 2.0.3 间接依赖 npm
es6-iterator 2.0.3 间接依赖 npm
is-core-module 2.13.0 间接依赖 npm
typed-array-byte-length 1.0.0 间接依赖 npm
@material/image-list 15.0.0-canary.a246a4439.0 间接依赖 npm
restore-cursor 3.1.0 间接依赖 npm
get-intrinsic 1.2.2 间接依赖 npm
normalize-package-data 3.0.3 间接依赖 npm
@rollup/rollup-darwin-x64 4.5.0 直接依赖 npm
eslint-config-prettier 9.1.0 直接依赖 npm
pathval 1.1.1 间接依赖 npm
typed-array-buffer 1.0.0 间接依赖 npm
@types/json5 0.0.29 间接依赖 npm
p-locate 4.1.0 间接依赖 npm
fast-glob 3.3.1 直接依赖 npm
has-symbols 1.0.3 间接依赖 npm
find-up 5.0.0 间接依赖 npm
@material/slider 15.0.0-canary.a246a4439.0 间接依赖 npm
path-is-absolute 1.0.1 间接依赖 npm
neo-async 2.6.2 间接依赖 npm
read-pkg-up 7.0.1 间接依赖 npm
conventional-changelog-ember 2.0.9 间接依赖 npm
@esbuild/freebsd-x64 0.19.5 直接依赖 npm
semver 7.5.4 间接依赖 npm
@pkgjs/parseargs 0.11.0 直接依赖 npm
figures 3.2.0 间接依赖 npm
resolve-from 5.0.0 间接依赖 npm
@types/jsonfile 6.1.1 间接依赖 npm
text-extensions 2.4.0 间接依赖 npm
typed-array-byte-offset 1.0.0 间接依赖 npm
functions-have-names 1.2.3 间接依赖 npm
zone.js 0.14.0 直接依赖 npm
postcss-selector-parser 6.0.12 间接依赖 npm
is-binary-path 2.1.0 间接依赖 npm
prettier 3.1.0 直接依赖 npm
postcss 8.4.31 直接依赖 npm
@aashutoshrathi/word-wrap 1.2.6 间接依赖 npm
yn 3.1.1 间接依赖 npm
file-entry-cache 6.0.1 间接依赖 npm
esutils 2.0.3 间接依赖 npm
human-signals 2.1.0 间接依赖 npm
typed-array-length 1.0.4 间接依赖 npm
doctrine 2.1.0 间接依赖 npm
safer-buffer 2.1.2 间接依赖 npm
min-indent 1.0.1 间接依赖 npm
ansi-regex 5.0.1 间接依赖 npm
minimatch 9.0.3 间接依赖 npm
semver 6.3.1 间接依赖 npm
rimraf 5.0.0 直接依赖 npm
@babel/highlight 7.18.6 间接依赖 npm
fs-minipass 2.1.0 间接依赖 npm
binary-extensions 2.2.0 间接依赖 npm
bl 4.1.0 间接依赖 npm
clean-stack 2.2.0 间接依赖 npm
@jridgewell/set-array 1.1.2 间接依赖 npm
make-dir 2.1.0 直接依赖 npm
@typescript-eslint/visitor-keys 6.18.1 间接依赖 npm
yargs-parser 21.1.1 间接依赖 npm
levn 0.4.1 间接依赖 npm
is-boolean-object 1.1.2 间接依赖 npm
@material/tab-scroller 15.0.0-canary.a246a4439.0 间接依赖 npm
@humanwhocodes/config-array 0.11.13 间接依赖 npm
@types/lodash 4.14.194 间接依赖 npm
@babel/generator 7.23.4 间接依赖 npm
@commitlint/load 18.2.0 间接依赖 npm
yargs 16.2.0 间接依赖 npm
@babel/compat-data 7.22.9 间接依赖 npm
color-name 1.1.4 间接依赖 npm
@material/tab-indicator 15.0.0-canary.a246a4439.0 间接依赖 npm
@babel/types 7.23.0 间接依赖 npm
array-union 2.1.0 间接依赖 npm
@commitlint/lint 18.1.0 间接依赖 npm
is-obj 2.0.0 间接依赖 npm
@eslint-community/regexpp 4.6.2 间接依赖 npm
is-stream 2.0.1 间接依赖 npm
escape-string-regexp 4.0.0 间接依赖 npm
get-intrinsic 1.2.1 间接依赖 npm
log-symbols 4.1.0 间接依赖 npm
array.prototype.findlastindex 1.2.3 间接依赖 npm
@nodelib/fs.walk 1.2.8 间接依赖 npm
p-locate 5.0.0 间接依赖 npm
is-symbol 1.0.4 间接依赖 npm
@types/fs-extra 11.0.1 直接依赖 npm
@rollup/rollup-win32-ia32-msvc 4.5.0 直接依赖 npm
object.fromentries 2.0.7 间接依赖 npm
require-from-string 2.0.2 间接依赖 npm
@material/tab 15.0.0-canary.a246a4439.0 间接依赖 npm
get-stdin 8.0.0 间接依赖 npm
globby 11.1.0 间接依赖 npm
needle 3.2.0 直接依赖 npm
pify 3.0.0 间接依赖 npm
acorn 8.8.2 间接依赖 npm
hdr-histogram-js 2.0.3 间接依赖 npm
readable-stream 3.6.2 间接依赖 npm
lodash 4.17.21 间接依赖 npm
fs-extra 11.1.1 间接依赖 npm
source-map-js 1.0.2 间接依赖 npm
@babel/helper-validator-identifier 7.22.20 间接依赖 npm
is-unicode-supported 0.1.0 间接依赖 npm
ora 5.4.1 直接依赖 npm
yaml 2.2.2 间接依赖 npm
@rollup/rollup-linux-arm64-musl 4.5.0 直接依赖 npm
@babel/helper-environment-visitor 7.22.20 间接依赖 npm
@material/dom 15.0.0-canary.a246a4439.0 间接依赖 npm
minipass-collect 1.0.2 间接依赖 npm
espree 9.6.0 间接依赖 npm
@material/base 15.0.0-canary.a246a4439.0 间接依赖 npm
spdx-expression-parse 3.0.1 间接依赖 npm
camelcase 5.3.1 间接依赖 npm
array-includes 3.1.7 间接依赖 npm
lilconfig 2.1.0 间接依赖 npm
ini 1.3.8 间接依赖 npm
@angular/router 17.1.0-next.3 直接依赖 npm
conventional-changelog-config-spec 2.1.0 间接依赖 npm
@esbuild/linux-riscv64 0.19.5 直接依赖 npm
pify 4.0.1 间接依赖 npm
util-deprecate 1.0.2 间接依赖 npm
jsesc 2.5.2 间接依赖 npm
minimatch 9.0.0 间接依赖 npm
normalize-package-data 2.5.0 间接依赖 npm
@esbuild/openbsd-x64 0.19.5 直接依赖 npm
which-typed-array 1.1.13 间接依赖 npm
glob-parent 5.1.2 间接依赖 npm
@babel/helper-simple-access 7.22.5 间接依赖 npm
@material/dialog 15.0.0-canary.a246a4439.0 间接依赖 npm
conventional-changelog-conventionalcommits 4.6.3 间接依赖 npm
diff 4.0.2 间接依赖 npm
jsonparse 1.3.1 间接依赖 npm
buffer 5.7.1 间接依赖 npm
graphemer 1.4.0 间接依赖 npm
@types/json-schema 7.0.14 间接依赖 npm
yallist 3.1.1 间接依赖 npm
object-inspect 1.13.1 间接依赖 npm
text-table 0.2.0 间接依赖 npm
color-convert 2.0.1 间接依赖 npm
postcss-value-parser 4.2.0 间接依赖 npm
fast-json-stable-stringify 2.1.0 间接依赖 npm
through 2.3.8 间接依赖 npm
shebang-regex 3.0.0 间接依赖 npm
memoizee 0.4.15 间接依赖 npm
@rollup/wasm-node 4.5.0 直接依赖 npm
@commitlint/message 18.1.0 间接依赖 npm
@esbuild/win32-x64 0.19.5 直接依赖 npm
define-data-property 1.1.1 间接依赖 npm
fastq 1.15.0 间接依赖 npm
@commitlint/is-ignored 18.1.0 间接依赖 npm
global-dirs 0.1.1 间接依赖 npm
@material/checkbox 15.0.0-canary.a246a4439.0 间接依赖 npm
glob 7.2.3 间接依赖 npm
(0)
上一篇 2024年1月15日
下一篇 2024年1月15日

相关推荐

  • VirtoCommerce/vc-storefront 软件分析报告

    基础信息 项目名称:VirtoCommerce/vc-storefront 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1746653808484319232/1746653808526262272 此报告由Mu…

    软件分析 2024年1月15日
    0
  • gildas-lormeau/SingleFileZ 软件分析报告

    基础信息 项目名称:gildas-lormeau/SingleFileZ 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1718117093064097792/1718117093110235136 此报告由Mur…

    软件分析 2023年10月28日
    0
  • penge/my-notes 软件分析报告

    基础信息 项目名称:penge/my-notes 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1757335314287861760/1757335314568880128 此报告由Murphysec提供 漏洞列…

    软件分析 2024年2月13日
    0
  • arb/celebrate 软件分析报告

    基础信息 项目名称:arb/celebrate 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1725079502874169344/1725079504254095360 此报告由Murphysec提供 漏洞列表…

    软件分析 2023年11月16日
    0
  • HubSpot/sprocket 软件分析报告

    基础信息 项目名称:HubSpot/sprocket 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1721265258101243904/1731942837006065664 此报告由Murphysec提供 漏…

    软件分析 2023年12月5日
    0